package org.example.utils;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class IdService {

    @Autowired
    private SnowflakeIdGenerator generator;

    public Long gen() {
        return generator.nextId();
    }
}